Get Account Statement
curl --request GET \
--url https://api.yapily.com/accounts/{accountId}/statements/{statementId} \
--header 'Authorization: Basic <encoded-value>' \
--header 'consent: <consent>'import requests
url = "https://api.yapily.com/accounts/{accountId}/statements/{statementId}"
headers = {
"consent": "<consent>",
"Authorization": "Basic <encoded-value>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {consent: '<consent>', Authorization: 'Basic <encoded-value>'}
};
fetch('https://api.yapily.com/accounts/{accountId}/statements/{statementId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"tracingId": "8bacaae3025647efa1891157993e32fb"
},
"data": {
"id": "700014000000000000000002",
"startDateTime": "2017-08-01T00:00:00Z",
"endDateTime": "2017-08-31T23:59:59Z",
"creationDateTime": "2017-09-01T00:00:00Z"
}
}{
"error": {
"code": 401,
"status": "UNAUTHORIZED",
"message": "Full authentication is required to access this resource"
}
}Financial Data
Get Account Statement
Returns a statement for an account.
Feature: ACCOUNT_STATEMENT
Get Account Statement
Learn more: Financial Data Features
Authorizations
Use HTTP Basic Authentication with your Application ID as username and Application Secret as password. Manage credentials in the Yapily Console. See Authentication for details.
Headers
Mandatory. The consent-token containing the user's authorisation to make the request.
The sub-application ID to which event type is being subscribed to
Path Parameters
Mandatory. The account Id of the user's bank account.
Mandatory. The statement Id of the statement file.
Was this page helpful?